Attic: gzip single file storage.

Also to reduce clutter on recursive greps.
This commit is contained in:
Markus Hitter 2016-06-12 19:30:54 +02:00
parent 62b5bb01dc
commit c3f0d05581
6 changed files with 0 additions and 173 deletions

View File

@ -1,49 +0,0 @@
From 72271041812d1136ea616cd7352e851ba40c678d Mon Sep 17 00:00:00 2001
From: jbernardis <jeff.bernardis@gmail.com>
Date: Tue, 28 Apr 2015 20:12:14 -0400
Subject: Configtool: use absolute path names in config.h.
This commit was written more accidently to address issue #132,
let's keep it as patch in attic/ in case it becomes neccessary
one day.
---
configtool.py | 18 ++++--------------
1 file changed, 4 insertions(+), 14 deletions(-)
diff --git a/configtool.py b/configtool.py
index fd0e867..49cf957 100755
--- a/configtool.py
+++ b/configtool.py
@@ -341,25 +341,15 @@ class ConfigFrame(wx.Frame):
if not self.pgPrinter.saveConfigFile(pfn):
return False
- prefix = cmd_folder + os.path.sep
- lpfx = len(prefix)
-
- if bfn.startswith(prefix):
- rbfn = bfn[lpfx:]
- else:
- rbfn = bfn
-
- if pfn.startswith(prefix):
- rpfn = pfn[lpfx:]
- else:
- rpfn = pfn
+ bfn = bfn.replace("\\", "/")
+ pfn = pfn.replace("\\", "/")
fp.write("\n")
fp.write("// Configuration for controller board.\n")
- fp.write("#include \"%s\"\n" % rbfn)
+ fp.write("#include \"%s\"\n" % bfn)
fp.write("\n")
fp.write("// Configuration for printer board.\n")
- fp.write("#include \"%s\"\n" % rpfn)
+ fp.write("#include \"%s\"\n" % pfn)
fp.close()
--
2.1.0

View File

@ -1,75 +0,0 @@
#!/bin/bash
# Check all our config files for integrity. We often had the case that a
# configuration #define was added, which is entirely fine, but it was forgotten
# to distribute this over all the relevant files.
#
# Maybe it's not too exciting form the single-source-of-information-POV, but
# Teacup maintains configuration items redundant in all the configuration
# files. Point of doing so is to support manual config file editing as well as
# using Configtool.
# Make sure we're inside config/
cd config 2> /dev/null
if [ $(basename ${PWD}) != "config" ]; then
echo "Execute this from within config/."
exit 1
fi
# We can't abort out of subshells, so track our success with a temporary file.
EXITFILE=$(mktemp)
trap "rm -f ${EXITFILE}" 0
echo 0 > ${EXITFILE}
# Check both, board and printer configurations.
for T in "board" "printer"; do
# Test #1: are all #defines in the generic config in all the individual
# files?
awk '
/^#define/ {
print $2;
}
/^\/\/#define/ {
print $2;
}
' < ../configtool/${T}.generic.h | while read W; do
for F in $(git ls-files ${T}.\*.h ../testcases/config.h.Profiling); do
if ! grep "#define" ${F} | grep -q ${W}; then
echo "Missing #define ${W} in ${F}."
echo 1 > ${EXITFILE}
fi
done
done
# Test #2: the opposite, has the generic config all of the latest three
# individual configs?
for F in $(ls -t ${T}.*.h | head -3); do
awk '
/^\/\/DEFINE_HEATERS_START/, /^\/\/DEFINE_HEATERS_END/ {
# This section is created on the fly, so not in the generic file.
next;
}
/^#define/ {
print $2;
}
/^\/\/#define/ {
print $2;
}
' < ${F} | while read W; do
if ! grep "#define" ../configtool/${T}.generic.h | grep -q ${W}; then
echo "Missing #define ${W} in configtool/${T}.generic.h."
echo 1 > ${EXITFILE}
fi
done
done
done
EXIT=$(cat ${EXITFILE})
if [ ${EXIT} -ne 0 ]; then
echo "Config integrity tests failed."
else
echo "Config integrity tests succeeded."
fi
exit ${EXIT}

BIN
attic/check_integrity.sh.gz Executable file

Binary file not shown.

View File

@ -1,49 +0,0 @@
From c8e28f3ff9b72eace20cce851d77a6de5e995c69 Mon Sep 17 00:00:00 2001
From: Markus Hitter <mah@jump-ing.de>
Date: Sun, 12 Oct 2014 23:17:48 +0200
Subject: [PATCH] dda.c: attempts to use sign of dda->delta_um[] to set
direction.
At that point we stored movement distance in steps signed in
dda->delta_um[] as well as unsigned in dda->delta[] plus its
sign in dda->{xyze}_direction. That's obvously redundant, so
the try was to get rid of the redundancy.
However, dda_start() is the most time critical part when using
look-ahead, so this attemt was dropped. Next attempt will be to
use dda->{xyze}_direction in dda_find_crossing_speed(), the only
usage of the dda->delta_um[].
---
dda.c | 16 +++++++++++++++-
1 file changed, 15 insertions(+), 1 deletion(-)
diff --git a/dda.c b/dda.c
index 8d53256..195e472 100644
--- a/dda.c
+++ b/dda.c
@@ -468,7 +468,21 @@ void dda_start(DDA *dda) {
endstops_on();
// set direction outputs
- x_direction(dda->x_direction);
+ // This is the fastest one.
+ x_direction(dda->x_direction); // 20164 bytes
+ // Costs 14 additional CPU clock cycles.
+ //x_direction(dda->delta_um[X] < 0 ? 1 : 0); // 20184 bytes
+ // Costs 12 additional CPU clock cycles.
+ //x_direction(dda->delta_um[X] >> (sizeof(int32_t) * 8 - 1)); // 20178 bytes
+ // Costs 14 additional CPU clock cycles.
+ //x_direction(dda->delta_um[X] > 0); // 20184 bytes
+ // Costs 12 additional CPU clock cycles.
+ //x_direction(dda->delta_um[X] < 0); // 20178 bytes
+ // Costs 5 additional CPU clock cycles.
+ //x_direction( ! ((*((uint8_t *)(&dda->delta_um[X]) + 3)) & 0x80)); // 20172 bytes
+ // Check just the last byte, that's smaller and faster.
+ // Costs 6 additional CPU clock cycles.
+ //x_direction((*((uint8_t *)(&dda->delta_um[X]) + 3)) > 0); // 20172 bytes
y_direction(dda->y_direction);
z_direction(dda->z_direction);
e_direction(dda->e_direction);
--
2.1.0